BEGIN;
    CREATE TABLE IF NOT EXISTS executions (
        created_at timestamp DEFAULT now(),
        created_by text, 
        updated_at timestamp DEFAULT now(),
        updated_by text,
        deleted_at timestamp,
        deleted_by text,
        is_deleted boolean DEFAULT false,

        execution_id uuid PRIMARY KEY DEFAULT uuid_generate_v4(),
        org_key text NOT NULL,
        origin origin NOT NULL,
        system system NOT NULL,
        operation text NOT NULL,
        status text NOT NULL,
        details jsonb NOT NULL
    );


    CREATE INDEX IF NOT EXISTS executions_org_key_idx ON executions(org_key);
COMMIT;
