BEGIN;
    ALTER TYPE system ADD VALUE IF NOT EXISTS 'VCDR';
    ALTER TYPE origin ADD VALUE IF NOT EXISTS 'VCDR';
COMMIT;

BEGIN;
    INSERT INTO features (
        feature_id,
        internal_name,
        external_name,
        requires,
        conflicts
    ) VALUES (
        'psc:feature:ransomwarerecovery',
        'CBC Ransomware Recovery',
        'VMware Carbon Black Ransomware Recovery',
        '
        {
            "cmp_type": "ALL",
            "features": [
                "psc:feature:livequery",
                "psc:feature:vulnerability",
                "psc:feature:workloadinv",
                "psc:feature:threathunter",
                "psc:feature:defense"
            ]
        }
        '::jsonb,
        '{ "cmp_type": "ANY", "features": [] }'::jsonb
    ) ON CONFLICT DO NOTHING;;

    INSERT INTO products (product_id, name, system) VALUES ('ransomwarerecovery', 'Ransomware Recovery', 'LOCAL'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('ransomwarerecovery', 'psc:feature:ransomwarerecovery', 'LOCAL'::system) ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, name, system) VALUES ('workloadenterpriseransomware', 'Workload Enterprise with Ransomware Recovery', 'VCDR'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('workloadenterpriseransomware', 'psc:feature:livequery', 'VCDR'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('workloadenterpriseransomware', 'psc:feature:vulnerability', 'VCDR'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('workloadenterpriseransomware', 'psc:feature:workloadinv', 'VCDR'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('workloadenterpriseransomware', 'psc:feature:threathunter', 'VCDR'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('workloadenterpriseransomware', 'psc:feature:defense', 'VCDR'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('workloadenterpriseransomware', 'psc:feature:ransomwarerecovery', 'VCDR'::system) ON CONFLICT DO NOTHING;
COMMIT;

