BEGIN;

ALTER TABLE entitlements ADD COLUMN IF NOT EXISTS id bigint;
ALTER TABLE entitlements DROP CONSTRAINT IF EXISTS entitlements_id_unique;
ALTER TABLE entitlements ADD CONSTRAINT entitlements_id_unique UNIQUE (id);

CREATE SEQUENCE IF NOT EXISTS entitlements_id_seq;
UPDATE entitlements E SET id = T.new_id
FROM (
    SELECT entitlement_id, nextval('entitlements_id_seq') as new_id
    FROM  entitlements
    ORDER BY created_at
) T
WHERE T.entitlement_id = E.entitlement_id AND E.id is null;

ALTER TABLE entitlements ALTER COLUMN id SET NOT NULL;
ALTER TABLE entitlements ALTER COLUMN id SET DEFAULT nextval('entitlements_id_seq');

COMMIT;
