BEGIN;
    INSERT INTO features (
        feature_id,
        internal_name,
        external_name,
        requires,
        conflicts
    ) VALUES (
        'psc:feature:cisbenchmark',
        'CBC CIS Benchmarking',
        'VMware Carbon Black CIS Benchmarking',
        '
        {
            "cmp_type": "ALL",
            "features": [
                "psc:feature:workloadinv"
            ]
        }
        '::jsonb,
        '{ "cmp_type": "ANY", "features": [] }'::jsonb
    ) ON CONFLICT DO NOTHING;

    INSERT INTO feature_flags (feature_id, flag) VALUES ('psc:feature:cisbenchmark', 'hostBasedFirewall') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, name, system) VALUES ('cisbenchmark', 'CIS Benchmarking', 'LOCAL'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('cisbenchmark', 'psc:feature:cisbenchmark', 'LOCAL'::system) ON CONFLICT DO NOTHING;

    INSERT INTO product_features (product_id, feature_id, system) VALUES ('workloadessentials', 'psc:feature:cisbenchmark', 'SFDC'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('workloadadvanced', 'psc:feature:cisbenchmark', 'SFDC'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('workloadenterprise', 'psc:feature:cisbenchmark', 'SFDC'::system) ON CONFLICT DO NOTHING;

    INSERT INTO product_features (product_id, feature_id, system) VALUES ('workloadadvanced', 'psc:feature:cisbenchmark', 'STORE'::system) ON CONFLICT DO NOTHING;
COMMIT;
