BEGIN;

    INSERT INTO features (
        feature_id,
        internal_name,
        external_name,
        ui_name, 
        ui_abbr,
        requires,
        conflicts
    ) VALUES (
        'psc:feature:eedreverywhere',
        'CBC EEDR Everywhere',
        'VMware Carbon Black EEDR Everywhere',
        'EEDR Everywhere',
        'EEDRE',
        '{ "cmp_type": "ANY", "features": [] }'::jsonb,
        '
        {
            "cmp_type": "ANY",
            "features": [
                "psc:feature:threathunter",
                "psc:feature:defense",
                "psc:feature:prevention"
            ]
        }
        '::jsonb
    ) ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, name, ui_name, ui_abbr, system) VALUES ('eedreverywhere', 'EEDR Everywhere', 'EEDR Everywhere', 'EEDRE', 'LOCAL'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('eedreverywhere', 'psc:feature:eedreverywhere', 'LOCAL'::system) ON CONFLICT DO NOTHING;
    
    INSERT INTO products (product_id, name, ui_name, ui_abbr, system) VALUES ('eedreverywhere', 'EEDR Everywhere', 'EEDR Everywhere', 'EEDRE', 'SFDC'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('eedreverywhere', 'psc:feature:eedreverywhere', 'SFDC'::system) ON CONFLICT DO NOTHING;

COMMIT;

