BEGIN;

-- Check if the column exists before renaming it
DO
$$
    BEGIN
        ALTER TABLE deregistrations
            RENAME COLUMN num_errors TO retry_count;
    EXCEPTION
        WHEN undefined_column THEN
            RAISE NOTICE 'Column num_errors does not exist in deregistrations.';
    END
$$;

DO
$$
    BEGIN
        ALTER TABLE deregistrations
            RENAME COLUMN retry_at TO retried_at;
    EXCEPTION
        WHEN undefined_column THEN
            RAISE NOTICE 'Column retry_at does not exist in deregistrations.';
    END
$$;

ALTER TABLE deregistrations
    DROP COLUMN IF EXISTS failed;

COMMIT;
