BEGIN;

    INSERT INTO features (
        feature_id,
        internal_name,
        external_name,
        ui_name,
        ui_abbr,
        requires,
        conflicts
    ) VALUES (
        'psc:feature:partner',
        'CBC Partner',
        'VMware Carbon Black Partner',
        'Partner',
        'P',
        '{ "cmp_type": "ANY", "features": [] }'::jsonb,
        '{ "cmp_type": "ANY", "features": [] }'::jsonb
    ) ON CONFLICT DO NOTHING;

    INSERT INTO feature_custom_attrs (
      feature_id,
      attr,
      descr,
      options
    ) VALUES (
      'psc:feature:partner',
      'role',
      'The role of the partner.',
      '["UNSPECIFIED"]'
    ) ON CONFLICT DO NOTHING;

   INSERT INTO products (
        type,
        product_id,
        system,
        name,
        ui_name,
        ui_abbr
    ) VALUES (
        'SINGLETON',
        'partner',
        'SFDC',
        'Partner',
        'Partner',
        'P'
    ) ON CONFLICT DO NOTHING;

    INSERT INTO products (
        type,
        product_id,
        system,
        name,
        ui_name,
        ui_abbr
    ) VALUES (
        'SINGLETON',
        'partner',
        'LOCAL',
        'Partner',
        'Partner',
        'P'
    ) ON CONFLICT DO NOTHING;

    INSERT INTO product_features (
        product_id,
        feature_id,
        system
    ) VALUES (
        'partner',
        'psc:feature:partner',
        'SFDC'
    ) ON CONFLICT DO NOTHING;

    INSERT INTO product_features (
        product_id,
        feature_id,
        system
    ) VALUES (
        'partner',
        'psc:feature:partner',
        'LOCAL'
    ) ON CONFLICT DO NOTHING;

    CREATE UNIQUE INDEX IF NOT EXISTS entitlements_org_key_partner_unique_idx
      ON entitlements (org_key, product_id)
        WHERE product_id = 'partner'
          AND is_deleted = false;

COMMIT;
