BEGIN;

    INSERT INTO features (
        feature_id,
        internal_name,
        external_name,
        ui_name, 
        ui_abbr,
        requires,
        conflicts
    ) VALUES (
        'psc:feature:xdreverywhere',
        'CBC XDR Everywhere',
        'VMware Carbon Black XDR Everywhere',
        'XDR Everywhere',
        'XDRE',
        '{ "cmp_type": "ANY", "features": [] }'::jsonb,
        '
        {
            "cmp_type": "ANY",
            "features": [
                "psc:feature:threathunter",
                "psc:feature:defense",
                "psc:feature:prevention"
            ]
        }
        '::jsonb
    ) ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, name, ui_name, ui_abbr, system) VALUES ('xdreverywhere', 'XDR Everywhere', 'XDR Everywhere', 'XDRE', 'LOCAL'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('xdreverywhere', 'psc:feature:xdreverywhere', 'LOCAL'::system) ON CONFLICT DO NOTHING;
    
    INSERT INTO products (product_id, name, ui_name, ui_abbr, system) VALUES ('xdreverywhere', 'XDR Everywhere', 'XDR Everywhere', 'XDRE', 'SFDC'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('xdreverywhere', 'psc:feature:xdreverywhere', 'SFDC'::system) ON CONFLICT DO NOTHING;

COMMIT;

