BEGIN;
    INSERT INTO products (product_id, system, name, ui_name, ui_abbr) VALUES ('CB-DR180', 'FAST', '180-Day Extended Data Retention', '180-Day Extended Data Retention', 'DR-180') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-DR180', 'psc:feature:retention', 'FAST') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, system, name, ui_name, ui_abbr) VALUES ('CB-DR90', 'FAST', '90-Day Extended Data Retention', '90-Day Extended Data Retention', 'DR-90') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-DR90', 'psc:feature:retention', 'FAST') ON CONFLICT DO NOTHING;
    
    -- UPDATE the name for already inserted FAST EPADV products to include the region in the name
    UPDATE products SET name = 'Endpoint Advanced - US', ui_name = 'Endpoint Advanced - US', ui_abbr = 'EA-US' WHERE system = 'FAST' AND product_id = 'CB-EPADV-DC-US';
    UPDATE product_features SET feature_id = 'psc:feature:vulnerabilityendpoint' WHERE system = 'FAST' AND product_id = 'CB-EPADV-DC-US' AND feature_id = 'psc:feature:vulnerability';

    UPDATE products SET name = 'Endpoint Advanced - Frankfurt', ui_name = 'Endpoint Advanced - Frankfurt', ui_abbr = 'EA-EU' WHERE system = 'FAST' AND product_id = 'CB-EPADV-DC-EU';
    UPDATE product_features SET feature_id = 'psc:feature:vulnerabilityendpoint' WHERE system = 'FAST' AND product_id = 'CB-EPADV-DC-EU' AND feature_id = 'psc:feature:vulnerability';

    INSERT INTO products (product_id, system, name, ui_name, ui_abbr) VALUES ('CB-EPADV-DC-AU', 'FAST', 'Endpoint Advanced - Sydney', 'Endpoint Advanced - Sydney', 'EA-AU') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-EPADV-DC-AU', 'psc:feature:defense', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-EPADV-DC-AU', 'psc:feature:livequery', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-EPADV-DC-AU', 'psc:feature:vulnerabilityendpoint', 'FAST') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, system, name, ui_name, ui_abbr) VALUES ('CB-EPADV-DC-JP', 'FAST', 'Endpoint Advanced - Tokyo', 'Endpoint Advanced - Tokyo', 'EA-JP') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-EPADV-DC-JP', 'psc:feature:defense', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-EPADV-DC-JP', 'psc:feature:livequery', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-EPADV-DC-JP', 'psc:feature:vulnerabilityendpoint', 'FAST') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, system, name, ui_name, ui_abbr) VALUES ('CB-EEDR-DC-AU', 'FAST', 'Enterprise EDR - Sydney', 'Enterprise EDR - Sydney', 'EEDR-AU') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-EEDR-DC-AU', 'psc:feature:threathunter', 'FAST') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, system, name, ui_name, ui_abbr) VALUES ('CB-EEDR-DC-EU', 'FAST', 'Enterprise EDR - Frankfurt', 'Enterprise EDR - Frankfurt', 'EEDR-EU') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-EEDR-DC-EU', 'psc:feature:threathunter', 'FAST') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, system, name, ui_name, ui_abbr) VALUES ('CB-EEDR-DC-JP', 'FAST', 'Enterprise EDR - Tokyo', 'Enterprise EDR - Tokyo', 'EEDR-JP') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-EEDR-DC-JP', 'psc:feature:threathunter', 'FAST') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, system, name, ui_name, ui_abbr) VALUES ('CB-EEDR-DC-US', 'FAST', 'Enterprise EDR - US', 'Enterprise EDR - US', 'EEDR-US') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-EEDR-DC-US', 'psc:feature:threathunter', 'FAST') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, system, name, ui_name, ui_abbr) VALUES ('CB-ENDR-DC-AU', 'FAST', 'ENDR - Sydney', 'ENDR - Sydney', 'ENDR-AU') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-ENDR-DC-AU', 'psc:feature:threathunter', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-ENDR-DC-AU', 'psc:feature:xdr', 'FAST') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, system, name, ui_name, ui_abbr) VALUES ('CB-ENDR-DC-EU', 'FAST', 'ENDR - Frankfurt', 'ENDR - Frankfurt', 'ENDR-EU') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-ENDR-DC-EU', 'psc:feature:threathunter', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-ENDR-DC-EU', 'psc:feature:xdr', 'FAST') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, system, name, ui_name, ui_abbr) VALUES ('CB-ENDR-DC-JP', 'FAST', 'ENDR - Tokyo', 'ENDR - Tokyo', 'ENDR-JP') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-ENDR-DC-JP', 'psc:feature:threathunter', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-ENDR-DC-JP', 'psc:feature:xdr', 'FAST') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, system, name, ui_name, ui_abbr) VALUES ('CB-ENDR-DC-US', 'FAST', 'ENDR - US', 'ENDR - US', 'ENDR-US') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-ENDR-DC-US', 'psc:feature:threathunter', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-ENDR-DC-US', 'psc:feature:xdr', 'FAST') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, system, name, ui_name, ui_abbr) VALUES ('CB-EPENT-DC-AU', 'FAST', 'Endpoint Enterprise - Sydney', 'Endpoint Enterprise - Sydney', 'EE-AU') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-EPENT-DC-AU', 'psc:feature:defense', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-EPENT-DC-AU', 'psc:feature:livequery', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-EPENT-DC-AU', 'psc:feature:threathunter', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-EPENT-DC-AU', 'psc:feature:vulnerabilityendpoint', 'FAST') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, system, name, ui_name, ui_abbr) VALUES ('CB-EPENT-DC-EU', 'FAST', 'Endpoint Enterprise - Frankfurt', 'Endpoint Enterprise - Frankfurt', 'EE-EU') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-EPENT-DC-EU', 'psc:feature:defense', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-EPENT-DC-EU', 'psc:feature:livequery', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-EPENT-DC-EU', 'psc:feature:threathunter', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-EPENT-DC-EU', 'psc:feature:vulnerabilityendpoint', 'FAST') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, system, name, ui_name, ui_abbr) VALUES ('CB-EPENT-DC-JP', 'FAST', 'Endpoint Enterprise - Tokyo', 'Endpoint Enterprise - Tokyo', 'EE-JP') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-EPENT-DC-JP', 'psc:feature:defense', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-EPENT-DC-JP', 'psc:feature:livequery', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-EPENT-DC-JP', 'psc:feature:threathunter', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-EPENT-DC-JP', 'psc:feature:vulnerabilityendpoint', 'FAST') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, system, name, ui_name, ui_abbr) VALUES ('CB-EPENT-DC-US', 'FAST', 'Endpoint Enterprise - US', 'Endpoint Enterprise - US', 'EE-US') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-EPENT-DC-US', 'psc:feature:defense', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-EPENT-DC-US', 'psc:feature:livequery', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-EPENT-DC-US', 'psc:feature:threathunter', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-EPENT-DC-US', 'psc:feature:vulnerabilityendpoint', 'FAST') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, system, name, ui_name, ui_abbr) VALUES ('CB-EPFDN-DC-AU', 'FAST', 'Endpoint Foundations - AU', 'Endpoint Foundations - AU', 'EF-AU') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-EPFDN-DC-AU', 'psc:feature:defense', 'FAST') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, system, name, ui_name, ui_abbr) VALUES ('CB-EPFDN-DC-EU', 'FAST', 'Endpoint Foundations - EU', 'Endpoint Foundations - EU', 'EF-EU') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-EPFDN-DC-EU', 'psc:feature:defense', 'FAST') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, system, name, ui_name, ui_abbr) VALUES ('CB-EPFDN-DC-JP', 'FAST', 'Endpoint Foundations - JP', 'Endpoint Foundations - JP', 'EF-JP') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-EPFDN-DC-JP', 'psc:feature:defense', 'FAST') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, system, name, ui_name, ui_abbr) VALUES ('CB-EPFDN-DC-US', 'FAST', 'Endpoint Foundations - US', 'Endpoint Foundations - US', 'EF-US') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-EPFDN-DC-US', 'psc:feature:defense', 'FAST') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, system, name, ui_name, ui_abbr) VALUES ('CB-HBFW', 'FAST', 'Host Based Firewall', 'Host Based Firewall', 'HBFW') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-HBFW', 'psc:feature:hbfw', 'FAST') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, system, name, ui_name, ui_abbr) VALUES ('CB-LQ-DC-AU', 'FAST', 'Live Query - Sydney', 'Live Query - Sydney', 'LQ-AU') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-LQ-DC-AU', 'psc:feature:livequery', 'FAST') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, system, name, ui_name, ui_abbr) VALUES ('CB-LQ-DC-EU', 'FAST', 'Live Query - Frankfurt', 'Live Query - Frankfurt', 'LQ-EU') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-LQ-DC-EU', 'psc:feature:livequery', 'FAST') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, system, name, ui_name, ui_abbr) VALUES ('CB-LQ-DC-JP', 'FAST', 'Live Query - Tokyo', 'Live Query - Tokyo', 'LQ-JP') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-LQ-DC-JP', 'psc:feature:livequery', 'FAST') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, system, name, ui_name, ui_abbr) VALUES ('CB-LQ-DC-US', 'FAST', 'Live Query - US', 'Live Query - US', 'LQ-US') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-LQ-DC-US', 'psc:feature:livequery', 'FAST') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, system, name, ui_name, ui_abbr) VALUES ('CB-MDR-DC-AU', 'FAST', 'Managed Detection and Response - Sydney', 'Managed Detection and Response - Sydney', 'MDR-AU') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-MDR-DC-AU', 'psc:feature:mdr', 'FAST') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, system, name, ui_name, ui_abbr) VALUES ('CB-MDR-DC-US', 'FAST', 'Managed Detection and Response - US', 'Managed Detection and Response - US', 'MDR-US') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-MDR-DC-US', 'psc:feature:mdr', 'FAST') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, system, name, ui_name, ui_abbr) VALUES ('CB-MTH-DC-US', 'FAST', 'Managed Threat Hunting - US', 'Managed Threat Hunting - US', 'MTH-US') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-MTH-DC-US', 'psc:feature:mdforeedr', 'FAST') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, system, name, ui_name, ui_abbr) VALUES ('CB-WLADV-DC-AU', 'FAST', 'Workload Advanced - Sydney', 'Workload Advanced - Sydney', 'WLADV-AU') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLADV-DC-AU', 'psc:feature:cisbenchmark', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLADV-DC-AU', 'psc:feature:defense', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLADV-DC-AU', 'psc:feature:livequery', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLADV-DC-AU', 'psc:feature:sensorgateway', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLADV-DC-AU', 'psc:feature:vulnerability', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLADV-DC-AU', 'psc:feature:workloadinv', 'FAST') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, system, name, ui_name, ui_abbr) VALUES ('CB-WLADV-DC-EU', 'FAST', 'Workload Advanced - Frankfurt', 'Workload Advanced - Frankfurt', 'WLADV-EU') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLADV-DC-EU', 'psc:feature:cisbenchmark', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLADV-DC-EU', 'psc:feature:defense', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLADV-DC-EU', 'psc:feature:livequery', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLADV-DC-EU', 'psc:feature:sensorgateway', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLADV-DC-EU', 'psc:feature:vulnerability', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLADV-DC-EU', 'psc:feature:workloadinv', 'FAST') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, system, name, ui_name, ui_abbr) VALUES ('CB-WLADV-DC-JP', 'FAST', 'Workload Advanced - Tokyo', 'Workload Advanced - Tokyo', 'WLADV-JP') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLADV-DC-JP', 'psc:feature:cisbenchmark', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLADV-DC-JP', 'psc:feature:defense', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLADV-DC-JP', 'psc:feature:livequery', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLADV-DC-JP', 'psc:feature:sensorgateway', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLADV-DC-JP', 'psc:feature:vulnerability', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLADV-DC-JP', 'psc:feature:workloadinv', 'FAST') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, system, name, ui_name, ui_abbr) VALUES ('CB-WLADV-DC-US', 'FAST', 'Workload Advanced - US', 'Workload Advanced - US', 'WLADV-US') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLADV-DC-US', 'psc:feature:cisbenchmark', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLADV-DC-US', 'psc:feature:defense', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLADV-DC-US', 'psc:feature:livequery', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLADV-DC-US', 'psc:feature:sensorgateway', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLADV-DC-US', 'psc:feature:vulnerability', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLADV-DC-US', 'psc:feature:workloadinv', 'FAST') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, system, name, ui_name, ui_abbr) VALUES ('CB-WLENT-DC-AU', 'FAST', 'Workload Enterprise - Sydney', 'Workload Enterprise - Sydney', 'WLENT-AU') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLENT-DC-AU', 'psc:feature:cisbenchmark', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLENT-DC-AU', 'psc:feature:defense', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLENT-DC-AU', 'psc:feature:livequery', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLENT-DC-AU', 'psc:feature:sensorgateway', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLENT-DC-AU', 'psc:feature:threathunter', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLENT-DC-AU', 'psc:feature:vulnerability', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLENT-DC-AU', 'psc:feature:workloadinv', 'FAST') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, system, name, ui_name, ui_abbr) VALUES ('CB-WLENT-DC-EU', 'FAST', 'Workload Enterprise - Frankfurt', 'Workload Enterprise - Frankfurt', 'WLENT-EU') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLENT-DC-EU', 'psc:feature:cisbenchmark', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLENT-DC-EU', 'psc:feature:defense', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLENT-DC-EU', 'psc:feature:livequery', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLENT-DC-EU', 'psc:feature:sensorgateway', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLENT-DC-EU', 'psc:feature:threathunter', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLENT-DC-EU', 'psc:feature:vulnerability', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLENT-DC-EU', 'psc:feature:workloadinv', 'FAST') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, system, name, ui_name, ui_abbr) VALUES ('CB-WLENT-DC-JP', 'FAST', 'Workload Enterprise - Tokyo', 'Workload Enterprise - Tokyo', 'WLENT-JP') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLENT-DC-JP', 'psc:feature:cisbenchmark', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLENT-DC-JP', 'psc:feature:defense', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLENT-DC-JP', 'psc:feature:livequery', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLENT-DC-JP', 'psc:feature:sensorgateway', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLENT-DC-JP', 'psc:feature:threathunter', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLENT-DC-JP', 'psc:feature:vulnerability', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLENT-DC-JP', 'psc:feature:workloadinv', 'FAST') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, system, name, ui_name, ui_abbr) VALUES ('CB-WLENT-DC-US', 'FAST', 'Workload Enterprise - US', 'Workload Enterprise - US', 'WLENT-US') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLENT-DC-US', 'psc:feature:cisbenchmark', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLENT-DC-US', 'psc:feature:defense', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLENT-DC-US', 'psc:feature:livequery', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLENT-DC-US', 'psc:feature:sensorgateway', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLENT-DC-US', 'psc:feature:threathunter', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLENT-DC-US', 'psc:feature:vulnerability', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLENT-DC-US', 'psc:feature:workloadinv', 'FAST') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, system, name, ui_name, ui_abbr) VALUES ('CB-WLFND-DC-AU', 'FAST', 'Workload Foundations - Sydney', 'Workload Foundations - Sydney', 'WLFND-AU') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLFND-DC-AU', 'psc:feature:cisbenchmark', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLFND-DC-AU', 'psc:feature:livequery', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLFND-DC-AU', 'psc:feature:sensorgateway', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLFND-DC-AU', 'psc:feature:vulnerability', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLFND-DC-AU', 'psc:feature:workloadinv', 'FAST') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, system, name, ui_name, ui_abbr) VALUES ('CB-WLFND-DC-EU', 'FAST', 'Workload Foundations - Frankfurt', 'Workload Foundations - Frankfurt', 'WLFND-EU') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLFND-DC-EU', 'psc:feature:cisbenchmark', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLFND-DC-EU', 'psc:feature:livequery', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLFND-DC-EU', 'psc:feature:sensorgateway', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLFND-DC-EU', 'psc:feature:vulnerability', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLFND-DC-EU', 'psc:feature:workloadinv', 'FAST') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, system, name, ui_name, ui_abbr) VALUES ('CB-WLFND-DC-JP', 'FAST', 'Workload Foundations - Tokyo', 'Workload Foundations - Tokyo', 'WLFND-JP') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLFND-DC-JP', 'psc:feature:cisbenchmark', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLFND-DC-JP', 'psc:feature:livequery', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLFND-DC-JP', 'psc:feature:sensorgateway', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLFND-DC-JP', 'psc:feature:vulnerability', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLFND-DC-JP', 'psc:feature:workloadinv', 'FAST') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, system, name, ui_name, ui_abbr) VALUES ('CB-WLFND-DC-US', 'FAST', 'Workload Foundations - US', 'Workload Foundations - US', 'WLFND-US') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLFND-DC-US', 'psc:feature:cisbenchmark', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLFND-DC-US', 'psc:feature:livequery', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLFND-DC-US', 'psc:feature:sensorgateway', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLFND-DC-US', 'psc:feature:vulnerability', 'FAST') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('CB-WLFND-DC-US', 'psc:feature:workloadinv', 'FAST') ON CONFLICT DO NOTHING;
COMMIT;