BEGIN;

    ALTER TABLE features ALTER COLUMN requires TYPE jsonb;
    ALTER TABLE features ALTER COLUMN conflicts TYPE jsonb;

    UPDATE features SET
        internal_name = 'CBC Vulnerability Workload',
        external_name = 'VMware Carbon Black Vulnerability Management for Workloads',
        requires = '[]'::jsonb
    WHERE feature_id = 'psc:feature:vulnerability';

    INSERT INTO features (
        feature_id,
        internal_name,
        external_name,
        requires,
        conflicts
    ) VALUES (
        'psc:feature:vulnerabilityendpoint',
        'CBC Vulnerability Endpoint',
        'VMware Carbon Black Vulnerability Management for Endpoints',
        '["psc:feature:defense", "psc:feature:threathunter", "psc:feature:livequery"]'::jsonb,
        '[]'::jsonb
    );

    INSERT INTO feature_flags (
        feature_id,
        flag
    ) VALUES (
        'psc:feature:vulnerabilityendpoint',
        'vulnerabilityAssessment'
    );

    INSERT INTO feature_flags (
        feature_id,
        flag
    ) VALUES (
        'psc:feature:vulnerabilityendpoint',
        'endpointsVulnerabilityAssessment'
    );

    INSERT INTO products (product_id, system, name) VALUES ('vulnerabilityendpoint', 'SFDC', 'SFDC Vulnerability for Endpoints');
    INSERT INTO products (product_id, system, name) VALUES ('vulnerabilityendpoint', 'LOCAL', 'SFDC Vulnerability for Endpoints');

    DELETE FROM product_features WHERE product_id = 'endpointadvanced' AND feature_id = 'psc:feature:vulnerability';
    DELETE FROM product_features WHERE product_id = 'endpointenterprise' AND feature_id = 'psc:feature:vulnerability';
    INSERT INTO product_features (product_id, system, feature_id) VALUES ('endpointadvanced', 'SFDC', 'psc:feature:vulnerabilityendpoint');
    INSERT INTO product_features (product_id, system, feature_id) VALUES ('endpointenterprise', 'SFDC', 'psc:feature:vulnerabilityendpoint');
    INSERT INTO product_features (product_id, system, feature_id) VALUES ('vulnerabilityendpoint', 'SFDC', 'psc:feature:vulnerabilityendpoint');
    INSERT INTO product_features (product_id, system, feature_id) VALUES ('endpointadvanced', 'LOCAL', 'psc:feature:vulnerabilityendpoint');
    INSERT INTO product_features (product_id, system, feature_id) VALUES ('endpointenterprise', 'LOCAL', 'psc:feature:vulnerabilityendpoint');
    INSERT INTO product_features (product_id, system, feature_id) VALUES ('vulnerabilityendpoint', 'LOCAL', 'psc:feature:vulnerabilityendpoint');

COMMIT;
